Source-Changes-HG archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
[src/netbsd-1-4]: src/distrib/sets Pull up revision 1.1 (new, requested by he):
details: https://anonhg.NetBSD.org/src/rev/cdbd925b3500
branches: netbsd-1-4
changeset: 470767:cdbd925b3500
user: he <he%NetBSD.org@localhost>
date: Sun Jul 09 21:30:43 2000 +0000
description:
Pull up revision 1.1 (new, requested by he):
Enhance the "make release" process:
o Use a separate script to compute checksums
diffstat:
distrib/sets/makesums | 49 +++++++++++++++++++++++++++++++++++++++++++++++++
1 files changed, 49 insertions(+), 0 deletions(-)
diffs (53 lines):
diff -r 7939879fad67 -r cdbd925b3500 distrib/sets/makesums
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/distrib/sets/makesums Sun Jul 09 21:30:43 2000 +0000
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# $NetBSD: makesums,v 1.1.10.2 2000/07/09 21:30:43 he Exp $
+#
+# Make checksum files. Usage:
+# makesums [-t tardir] [setname ...]
+#
+
+# set defaults
+: ${MAKE=make}
+tars=$RELEASEDIR
+
+# handle args
+while : ; do
+ case $1 in
+ -t*)
+ tars=$2; shift
+ ;;
+ -*)
+ cat 1>&2 <<USAGE
+Usage: $0 [-t tars] [setname ...]
+ -t tars \$RELEASEDIR [$tars]
+ [setname ...] sets to checksum [*.tgz]
+USAGE
+ exit 1
+ ;;
+ *)
+ break
+ ;;
+ esac
+ shift
+done
+if [ -n "$*" ]; then
+ lists="$*"
+fi
+
+if [ -z "$tars" ]; then
+ echo \$RELEASEDIR must be set
+ exit 1
+fi
+
+cd $tars
+if [ -z "$lists" ]; then
+ lists=*.tgz
+fi
+cksum -o1 $lists > BSDSUM
+cksum $lists > CKSUM
+cksum -m $lists > MD5
+cksum -o2 $lists > SYSVSUM
Home |
Main Index |
Thread Index |
Old Index